authtry(4gx)

Name
authtry — Diagnostic utility for debugging authentication

Synopsis

PASS='xyz!' /usr/libexec/gromox/authtry -u abc@example.com

PASS='xyz!' /usr/libexec/gromox/authtry -L [-Z] [-H ldap://localhost/] -u cn=abc,o=example

Description

authtry can be used to debug the user authentication procedure without having to use gdb to attach to, and pause, a running daemon. The password is to be conveyed via an environment variable, PASS. Note that PASS being unset is distinct from PASS being the zero-length string; both modes are supported.

Options

-H uri
    LDAP server to connect to, in URI form. If not specified, the libldap default is used.

-L  Bypass the normal user lookup via authmgr(4gx), bypass user metadata lookup in MySQL, and only perform an LDAP bind. In this sense, authtry is similar to ldapsearch(1), but without performing any search.

-Z  Perform LDAP STARTTLS (only meaningful when combined with -L).

-u username/dn
    The Gromox username (usually user@domain form), or, in case -H is used, an LDAP Distinguished Name.

See also
gromox(7)